#!/bin/bash
#----------

# buildimgs



imagick="/c/bruno/programs/VisualMagick/bin/convert.exe"




echo -------------------------------
echo convert all bmp files into gifs and move them all to tmp

echo remove temp working dir files
rm imgs/tmp/*;

cd imgs/src;



echo now copy bmp files
files="`ls  *.bmp`";

for file in $files ; do
  out="`basename $file .bmp`";
  
    echo "convert img $file";

    $imagick $file  -transparent white  ../tmp/$out.gif
  
done;




echo -------------------------------
echo convert all gifs back to bmps

files="`ls  *.gif`";

for file in $files ; do
  echo "convert img $file";
  out="`basename $file .gif`";
  $imagick $file   ../tmp/$out.bmp
done;





echo -------------------------------
echo now copy gif files
cp *.gif ../tmp

cd ../..;




echo -------------------------------
echo rotate all gif files 


rm imgs/rotated/*;

cd imgs/tmp

files="`ls  *u.gif`";

echo flipping....
for file in $files ; do
  echo "rotate img $file";
  out="`basename $file u.gif`";
  $imagick -flip $file  "../rotated/$out"d.gif
done;



files="`ls  *r.gif`";

echo flopping....
for file in $files ; do
  echo "rotate img $file";
  out="`basename $file r.gif`";
  $imagick -flop $file  "../rotated/$out"l.gif
done;


cd ../..

echo -------------------------------
echo "building html page for gifs ..."

cd imgs/tmp
echo "<html><body bgcolor=blue><h2>image list in `pwd` </h2><hr><table border>" > imgs.html
ls *.gif | sed.OLD "s/.*/\<tr\>\<td\>\<img src=\0\\>\<\/td\>\<td\>\<img src=\0 height=30\\>\<\/td\>\<td\>\0\\<\/td\>\<\/tr\>/g" >> imgs.html
echo "</table></body></html>" >> imgs.html

cd ../..
echo -------------------------------
echo convert all gifs into png and move them to bin dir.


cd imgs/tmp;


echo convert files from tmp dir

files="`ls  *.gif`";


for file in $files ; do
  echo "convert img $file";
  out="`basename $file .gif`";
  if [[ "$file" == "blue.gif" ]] ; then
    echo "convert opaque img $file";
    #$imagick $file  ../../bin/$out.png  
    gif2png.exe $file  
    mv $out.png ../../bin/$out.png  
  else
    echo "convert transparent img $file";
    #$imagick $file   -transparent white ../../bin/$out.png
    gif2png.exe -g  -t $file   
    mv $out.png ../../bin/$out.png   
  fi;
done;

cd ../..;



echo convert files from rotated dir

cd imgs/rotated;

files="`ls  *.gif`";


for file in $files ; do
 
  out="`basename $file .gif`";
  if [[ "$file" == "blue.gif" ]] ; then
    echo "convert opaque img $file";
    #$imagick $file  ../../bin/$out.png  
    gif2png.exe  $file   
    mv $out.png ../../bin/$out.png   
  else
    echo "convert transparent img $file";
    #$imagick $file   -transparent white ../../bin/$out.png
    gif2png.exe  -g  -t $file   
    mv $out.png  ../../bin/$out.png       

  fi;
done;

cd ../..;



echo -------------------------------
echo "building html page for pngs ..."

cd bin
echo "<html><body bgcolor=blue><h2>image list in `pwd` </h2><hr><table border>" > imgs.html
ls *.png | sed.OLD "s/.*/\<tr\>\<td\>\<img src=\0\\>\<\/td\>\<td\>\<img src=\0 height=30\\>\<\/td\>\<td\>\0\\<\/td\>\<\/tr\>/g" >> imgs.html
echo "</table></body></html>" >> imgs.html

cd ..



echo -------------------------------
echo "copying to platf parser"
cd bin
cp *.png ../../PlatfParser/bin
cd ..




